### Hierarchy

- ITransmuteStoreAdapter

## Index

### Properties

- getItem
- getStorage
- setItem

## Properties

### getItem

getItem: function

- Defined in Store/EventStoreAdapter/EventStoreAdapterTypes.ts:13

#### Type declaration

- - (db: any, key: string): Promise<any>

  - #### Parameters

    - ##### db: any

    - ##### key: string

    #### Returns Promise<any>

### getStorage

getStorage: function

- Defined in Store/EventStoreAdapter/EventStoreAdapterTypes.ts:12

#### Type declaration

- - (): any

  - #### Returns any

### setItem

setItem: function

- Defined in Store/EventStoreAdapter/EventStoreAdapterTypes.ts:14

#### Type declaration

- - (db: any, value: any): Promise<string>

  - #### Parameters

    - ##### db: any

    - ##### value: any

    #### Returns Promise<string>

Generated using TypeDoc